;These functions allow commonly
;used commands to be executed with a
;single key stroke.
;
;Function file "EDS1KEY.LSP" - Execution command as shown
;
;Written by Christopher Conrad and Steve Brown
;
;
(defun C:L ()
  (command "line"))

(defun C:T ()
  (command "text"))

(defun C:CI ()
  (command "circle"))

(defun C:E ()
  (command "erase"))

(defun C:EE ()
  (command "extend"))

(defun C:TT ()
  (command "trim"))

(defun C:B ()
  (command "break"))

(defun C:RO ()
  (command "rotate"))

(defun C:S ()
  (command "stretch"))

(defun C:SC ()
  (command "scale"))

(defun C:C ()
  (command "copy"))

(defun C:M ()
  (command "move"))

(defun C:O ()
  (command "offset"))

(defun C:CC ()
  (command "change"))

(defun C:PT ()
  (command "point"))

(defun C:F ()
  (command "fillet"))

(defun C:A ()
  (command "array"))

(defun C:W ()
  (command "zoom" "w"))

(defun C:PP ()
  (command "pan"))

(defun C:P ()
  (command "zoom" "p"))

(defun C:U ()
  (command "undo" "1"))

(defun C:R ()
  (command "redraw"))

(defun C:RR ()
  (command "regen"))

(defun C:MM ()
  (command "mirror"))

(defun C:D ()
  (command "dist"))

(defun C:I ()
  (command "insert"))

(defun C:LL ()
  (command "list"))

(defun C:DL ()
  (command "dim" "leader"))

(defun C:DV ()
  (command "dim" "ver"))

(defun C:DH ()
  (command "dim" "hor"))

(defun C:LS ()
  (command "layer" "s"))

(defun C:LF ()
  (command "layer" "f"))

(defun C:LT ()
  (command "layer" "t"))

 C:BI ()
;  (dist"))

;(defun C:I ()
;  (command "insert"))

;(defun C:LL ()
;  (command "list"))


