(defun c:ch ()
  (command "osnap" "end")
  (setq pnt1 (getpoint "\nSelect upper-left end : "))
  (setq pnt2 (getpoint "\nSelect lower-left corner : "))
  (setq pnt3 (getpoint "\nSelect lower-right end : "))
  (setq vs (getreal "\nGreatest Y-Axis value : "))
  (setq nbars (getint "\nNumber of bars : "))
  (setq vl (- (cadr pnt1) (cadr pnt2)))
  (setq hl (- (car pnt3) (car pnt2)))
  (setq dxbars (/ hl (1+ (* nbars 2))))
  (setq vscale (/ vl vs))
  (setq count 1)
  (while (< count nbars)
    (prin1 "\nValue of bar #)
    (prin1 count)
    (setq barval (getreal))
    (setq xval (- (* dxbars (* count 2)) dxbars))
    (seqt pta (list xval (cadr pnt2)))
    (setq ptc (list (+ (car pta) dxbars) (* barval vscale)))
    (setq ptb (list (car ptc) (cadr pta)))
    (setq ptd (list (car pta) (cadr ptc)))
    (command "pline" pta ptb ptc ptd "c")
    (setq count (1+ count))
  )
)