;This functions allows for the input
;of a point given an origin and x,y offsets.
;
;Function name "EDSPTOFF.LSP" - Execute command "PTOFF"
;
;Written by Steve Brown
;
;
(defun c:ptoff ()
   (command "osnap" "node")
   (setq pt1 (getpoint "\nIndicate base point: "))
   (setq pt1x (car pt1))
   (setq pt1y (cadr pt1))
   (setq offx (getreal "\nEnter x offset: "))
   (setq offy (getreal "\nEnter y offset: "))
   (setq pt2x (+ pt1x offx))
   (setq pt2y (+ pt1y offy))
   (command "point" (list pt2x pt2y))
   (command "osnap" "off")
)