;This function draws a rectangle given
;the x,y dimensions and offset from a
;selected point.
;
;
;Function name "EDSBOXO.LSP" - Execution command "BOXO"
;
;Written by Christopher Conrad and Steve Brown
;
;
;
(defun C:BOXO (/ PNT1 PNT2 PNT3 PNT4 ORIGIN OFFSET)
    (GRAPHSCR)
    (TERPRI)
    (COMMAND "OSNAP" "INT")
    (SETQ ORIGIN (GETPOINT "INDICATE ORIGIN OF OFFSET : "))
    (COMMAND "OSNAP" "OFF")
    (SETQ ORX (CAR ORIGIN)) (SETQ ORY (CADR ORIGIN))
    (SETQ OFFSET (GETPOINT "KEY-IN OFFSETS FOR START POINT : "))
    (SETQ OFFX (CAR OFFSET)) (SETQ OFFY (CADR OFFSET))
    (SETQ PNT1X (+ ORX OFFX)) (SETQ PNT1Y (+ ORY OFFY))
    (SETQ PNT1 (LIST PNT1X PNT1Y)) (TERPRI)
    (SETQ PNT3 (GETPOINT "KEY-IN OFFSETS : ")) (TERPRI)
    (SETQ PNT2 (LIST (+ (CAR PNT1) (CAR PNT3)) (CADR PNT1)))
    (SETQ PNT4 (LIST (CAR PNT1) (+ (CADR PNT1) (CADR PNT3))))
    (SETQ PNT3 (LIST (CAR PNT2) (CADR PNT4)))
    (COMMAND "LINE" PNT1 PNT2 PNT3 PNT4 "C")

  )