;This function draws a "continuous"
;horizontal line (similar to CADAM)
;
;Function name "EDSHL.LSP" - Execute command "HL"
;
;Written by Steve Brown and Christopher Conrad
;
;
(defun c:hl ( / pt1 pt2)
   (setq indpt (getpoint "\nIndicate point: "))
   (setq horx (car indpt))
   (setq hory (cadr indpt))
   (setq rside (+ horx 15000.0))
   (setq lside (- horx 15000.0))
   (setq pt1 (list lside hory))
   (setq pt2 (list rside hory))
   (command "line" pt1 pt2)
   (command "")
)