;This function allows user to select the lower left end of a
;revision line and place the four appropriate pieces of text
;information.
;
;Function name "EDSREV.LSP" - Execution command "REV"
;
;Written by Christopher Conrad and Steve Brown
;
;
(defun c:rev ()
    (terpri)
    (setq def "end")
    (command "osnap" def)
    (prompt "Select bottom left corner")
    (terpri)
    (setq pnt (getpoint))
    (command "osnap" "off")
    (terpri)
    (setq y (+ (cadr pnt) 0.1354))
    (setq x (car pnt))
    (setq s 0.09375)
    (setq a 0)
    (setq st1 (getstring T "Revision number: "))
    (terpri)
    (setq st2 (getstring T "Description    : "))
    (terpri)
    (setq st3 (getstring T "Date           : "))
    (terpri)
    (setq st4 (getstring T "By             : "))
    (setq pnt1 (list (+ x 0.4018) y))
    (setq pnt2 (list (+ x 1.7362) y))
    (setq pnt3 (list (+ x 3.065) y))
    (setq pnt4 (list (+ x 3.711) y))
    (command "text" "s" "simplex" "m" pnt1 s a st1)
    (command "text" "m" pnt2 s a st2)
    (command "text" "m" pnt3 s a st3)
    (command "text" "m" pnt4 s a st4)
    )