;This function draws a "continuous"
;vertical line (similar to CADAM)
;
;Function name "EDSVL.LSP" - Execute command "VL"
;
;Written by Steve Brown and Christopher Conrad
;
;
(defun c:vl ( / pt1 pt2)
   (setq indpt (getpoint "\nIndicate point: "))
   (setq vertx (car indpt))
   (setq verty (cadr indpt))
   (setq top (+ verty 15000.0))
   (setq bot (- verty 15000.0))
   (setq pt1 (list vertx top))
   (setq pt2 (list vertx bot))
   (command "line" pt1 pt2)
   (command "")
)

